Glassboxx for WooCommerce
---

- Contributors: SDM36
- Plugin Name: Glassboxx for WooCommerce
- Plugin URI: https://glassboxx.co.uk/
- Tags: woocommerce, glassboxx 
- Author URI: https://firstygroup.com/
- Author: Firsty Group
- License: GPLv3
- License URI: http://www.gnu.org/licenses/gpl-3.0.html
- Requires PHP: 7.0
- Requires at least: 4.9.4
- Tested up to: 5.8
- Stable tag: 2.0.0
- WC requires at least: 3.0.0
- WC tested up to: 4.2.0
- Version: 2.0.0

Description
---

The Glassboxx for WooCommerce plugin adds Glassboxx fulfillment for eBook and audiobook sales to your Woocommerce store.  Glassboxx is a 
Software as a Service (SaaS) solution from Firsty Group allowing audiobooks and eBooks to be purchased from any website, 
blog or social media platform, and fulfilled directly to the end customer with full digital rights management (DRM), 
via Glassboxx apps on Android, iOS, Windows and macOS.

You need a Glassboxx Vendor account in order to use this plugin, and your ebooks and/or audiobooks must be uploaded to your 
Glassboxx vendor account.

Required settings (found in your Glassboxx vendor portal):
---

1. Enable Glassboxx integration
2. Glassboxx Vendor ID
3. Glassboxx Token Username
4. Glassboxx Token Password

The plugin will not work until the above credentials have been entered and verified. 

Woocommerce product setup
---

You should create WooCommerce Virtual products for the ebooks and audiobooks in your WooCommerce store. You can use these as standalone
products, in grouped products or as variants in variable products. Also, for your ebook and audiobook virtual products, 
leave the Downloadable option unchecked, leave the Manage stock option unchecked, set the Stock status to In stock and check the 
Sold individually option.

For the SKU of your virtual products you must use the ISBN13 of the book uploaded to Glassboxx.

If using variable products, firstly create a WooCommerce custom product attribute with the format descriptions you require as 
Attribute Terms. Then when creating the Variable Product, for the Attribute, select the custom product attribute from the list of 
custom attributes, and chose all the values. Finally, add the variations you require for each format and ensure that the variants 
to be fulfilled by Glassboxx are created as Virtual products and that the SKU matches exactly the ISBN13 uploaded to Glassboxx for the 
corresponding audiobook or eBook.

Plugin usage
---

Once you have uploaded your books to Glassboxx, entered and verified your Glassboxx settings and created your virtual products, the 
plugin works by automatically sending details of successful end customer purchases of virtual products from a WooCommerce site to Glassboxx 
and adds a block to the order success page signposting the customer to the Glassboxx apps. For this to happen, the status of the order must 
be Processing or Completed.

For the end customer, this gives them a simple and smooth process from buying an ebook or audiobook on a WooCommerce site through to 
downloading and installing the Glassboxx app, and reading or listening to their book.

If you change the status of an order on the Order Page in WooCommerce from Pending Payment to Processing or Completed, the order details will also be sent to 
Glassboxx, allowing the cuustomer to receive their book.

Installation
---

1. Make sure WooCommerce is installed.
1. Download the plugin file to your computer and unzip it.
2. Using an FTP program, or your hosting control panel, upload the unzipped plugin folder to your WordPress installation’s 
wp-content/plugins/ directory.
3. Activate the plugin from the Plugins menu within the WordPress admin.

Or upload the zip file and click Add New on the Plugins menu in your Wordpress admin and activate it.

Frequently Asked Questions
---

= Where do I create a Glassboxx vendor account? =

To sign up for a Glassboxx account, please go to https://glassboxx.com/signup

= How much does it cost? =

For pricing, please go to https://glassboxx.com/glassboxx-pricing

= My orders are not being passed to Glassboxx, what's wrong? =

1. In your Glassboxx Vendor account, go to PRODUCTS / Manage Products, and make sure the ISBN of the product you’ve added to 
Glassboxx is 100% identical to the ISBN used for the product SKU in Woocommerce. The best value to use for both is the ISBN13 
and must not contain dashes.
2. Make sure your Woocommerce products are set up as described as above.
3. Make sure the status of your WooCommerce order is Completed. If necessary, you can use the plugin Autocomplete Woocommerce 
Orders (https://wordpress.org/plugins/autocomplete-woocommerce-orders/) to automatically complete order of Virtual Products 
if your payment gateway plugin does not do this. After installing the Autocomplete plugin, in 
Woocommerce / Settings/ Autocomplete Orders, set the mode to ‘Paid orders of virtual orders only’.
4. Make sure the email address you are using to sign in to the Glassboxx app is identical to the address used to make the 
purchase on your website.

Where can I get more help?
---

There is a full FAQ for Glassboxx in the Glassboxx vendor portal, but if you have any other questions please contact 
glassboxxsupport@firstygroup.com

Changelog
---

0.1
1. Release Version

0.2
1. Moved Auth process to its own function.

0.3
1. Added 'findproduct' endpoint and retrieval sku, redirect to virtual product.

0.4 
1. Update text content

0.5
1. Fix redirect bug

0.7
1. Voucher fix
2. Admin wording changes

1.0.8
1. New Thank You text option 
2. Replace default Thank you text on Order Complete Page
3. Move Glassboxx Content on Order Complete Page depending on WC version
4. Fix bug in Admin Settings notices
5. Add thankyou text to 'new order' & 'order completed' emails

1.0.9
1. Documentation changes

1.0.10
1. Fix email text bug
2. Seperate function for thankyou html
3. fix version checking
4. change email to send on customer_processing_order from new_order

1.0.11
1. change to thank you message
2. updated plugin description

1.0.12 
1. Glassboxx branding changes

1.0.13 
1. Addition of debug log file and control panel switch to enable debug mode
2. Allow virtual product variations of variable products to be sent to Glassboxx as well as stand-alone virtual products

1.0.14 
1. Send order to Glassboxx if admin user changes status of order on Order Management page from Pending Payment to Processing or Pending Payment to Completed
2. Fixed order datetime passed to Glassboxx

2.0.0
1. Compatibility changes for Woocommerce Marketplace